> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Workflow Executions



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json get /workspaces/{workspace_id}/workflow-executions/search
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /workspaces/{workspace_id}/workflow-executions/search:
    get:
      tags:
        - workflow-executions
      summary: Search Workflow Executions
      operationId: workflow-executions-search_workflow_executions
      parameters:
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Workspace Id
        - name: trigger
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                uniqueItems: true
                items:
                  $ref: '#/components/schemas/TriggerType'
              - type: 'null'
            title: Trigger
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                uniqueItems: true
                items:
                  type: string
                  enum:
                    - RUNNING
                    - COMPLETED
                    - FAILED
                    - CANCELED
                    - TERMINATED
                    - CONTINUED_AS_NEW
                    - TIMED_OUT
              - type: 'null'
            title: Status
        - name: status_mode
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/WorkflowExecutionStatusFilterMode'
            default: include
        - name: start_time_from
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Start Time From
        - name: start_time_to
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Start Time To
        - name: close_time_from
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Close Time From
        - name: close_time_to
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Close Time To
        - name: duration_gte_seconds
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: 'null'
            title: Duration Gte Seconds
        - name: duration_lte_seconds
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: 'null'
            title: Duration Lte Seconds
        - name: search_term
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by workflow title or alias.
            title: Search Term
          description: Filter by workflow title or alias.
        - name: relation
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/WorkflowExecutionRelationFilter'
            default: all
        - name: workflow_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                pattern: wf_[0-9a-zA-Z]+
              - type: string
                pattern: wf-[0-9a-f]{32}
              - type: 'null'
            title: Workflow Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            default: 100
            title: Limit
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cursor
        - name: reverse
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Reverse
        - name: user_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - $ref: '#/components/schemas/SpecialUserID'
              - type: 'null'
            title: User Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CursorPaginatedResponse_WorkflowRunReadMinimal_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyCookie: []
        - ServiceAccountApiKeyBearer: []
components:
  schemas:
    TriggerType:
      type: string
      enum:
        - manual
        - scheduled
        - webhook
        - case
      title: TriggerType
      description: Trigger type for a workflow execution.
    WorkflowExecutionStatusFilterMode:
      type: string
      enum:
        - include
        - exclude
      title: WorkflowExecutionStatusFilterMode
    WorkflowExecutionRelationFilter:
      type: string
      enum:
        - all
        - root
        - child
      title: WorkflowExecutionRelationFilter
    SpecialUserID:
      type: string
      enum:
        - current
      title: SpecialUserID
      description: A sentinel user ID that represents the current user.
    CursorPaginatedResponse_WorkflowRunReadMinimal_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/WorkflowRunReadMinimal'
          type: array
          title: Items
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
          description: Cursor for next page
        prev_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Prev Cursor
          description: Cursor for previous page
        has_more:
          type: boolean
          title: Has More
          description: Whether more items exist
          default: false
        has_previous:
          type: boolean
          title: Has Previous
          description: Whether previous items exist
          default: false
        total_estimate:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Estimate
          description: Estimated total count from table statistics
      type: object
      required:
        - items
      title: CursorPaginatedResponse[WorkflowRunReadMinimal]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WorkflowRunReadMinimal:
      properties:
        id:
          type: string
          title: Id
          description: The ID of the workflow execution
        run_id:
          type: string
          title: Run Id
          description: The run ID of the workflow execution
        start_time:
          type: string
          format: date-time
          title: Start Time
          description: The start time of the workflow execution
        execution_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Execution Time
          description: When this workflow run started or should start.
        close_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Close Time
          description: When the workflow was closed if closed.
        status:
          type: string
          enum:
            - RUNNING
            - COMPLETED
            - FAILED
            - CANCELED
            - TERMINATED
            - CONTINUED_AS_NEW
            - TIMED_OUT
        workflow_type:
          type: string
          title: Workflow Type
        task_queue:
          type: string
          title: Task Queue
        history_length:
          type: integer
          title: History Length
          description: Number of events in the history
        parent_wf_exec_id:
          anyOf:
            - type: string
              pattern: >-
                (wf-[0-9a-f]{32}|wf_[0-9a-zA-Z]+)[:/]((exec_[0-9a-zA-Z]+|exec-[\w-]+|(?:sch-[0-9a-f]{32}|[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12})-.*))
            - type: 'null'
          title: Parent Wf Exec Id
        trigger_type:
          $ref: '#/components/schemas/TriggerType'
        execution_type:
          $ref: '#/components/schemas/ExecutionType'
          description: >-
            Execution type (draft or published). Draft uses the draft workflow
            graph.
          default: published
        workflow_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Workflow Id
          description: Short workflow ID parsed from workflow execution ID.
        workflow_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Workflow Title
          description: Workflow title from workspace metadata when available.
        workflow_alias:
          anyOf:
            - type: string
            - type: 'null'
          title: Workflow Alias
          description: >-
            Workflow alias from workspace metadata or execution search
            attributes.
      type: object
      required:
        - id
        - run_id
        - start_time
        - status
        - workflow_type
        - task_queue
        - history_length
        - trigger_type
      title: WorkflowRunReadMinimal
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ExecutionType:
      type: string
      enum:
        - draft
        - published
      title: ExecutionType
      description: >-
        Execution type for a workflow execution.


        Distinguishes between draft (development) and published (production)
        executions.
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth
    ServiceAccountApiKeyBearer:
      type: http
      description: Tracecat service account API key.
      scheme: bearer

````